Crystal Space: iMeshFactoryList Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iMeshFactoryList Struct Reference
[Mesh support]

A list of mesh factories. More...

`#include <iengine/mesh.h>`

Inheritance diagram for iMeshFactoryList:

[legend]
List of all members.

## Public Member Functions
virtual int | Add (iMeshFactoryWrapper *obj)=0
| Add a mesh factory wrapper.
virtual int | Find (iMeshFactoryWrapper *obj) const =0
| Find a mesh factory wrapper and return its index.
virtual iMeshFactoryWrapper * | FindByName (const char *Name) const =0
| Find a mesh factory wrapper by name.
virtual iMeshFactoryWrapper * | Get (int n) const =0
| Return a mesh factory wrapper by index.
virtual int | GetCount () const =0
| Return the number of mesh factory wrappers in this list.
virtual bool | Remove (int n)=0
| Remove the nth mesh factory wrapper.
virtual bool | Remove (iMeshFactoryWrapper *obj)=0
| Remove a mesh factory wrapper.
virtual void | RemoveAll ()=0
| Remove all mesh factory wrappers.

## Detailed Description

A list of mesh factories.

Main ways to get pointers to this interface:

- iEngine::GetMeshFactories()
- iMeshFactoryWrapper::GetChildren()

Main users of this interface:

- iEngine

Definition at line 981 of file mesh.h.

## Member Function Documentation

virtual int iMeshFactoryList::Add | ( | iMeshFactoryWrapper * | obj | ) | `[pure virtual]`

Add a mesh factory wrapper.

virtual int iMeshFactoryList::Find | ( | iMeshFactoryWrapper * | obj | ) | const`[pure virtual]`

Find a mesh factory wrapper and return its index.

virtual iMeshFactoryWrapper* iMeshFactoryList::FindByName | ( | const char * | Name | ) | const`[pure virtual]`

Find a mesh factory wrapper by name.

virtual iMeshFactoryWrapper* iMeshFactoryList::Get | ( | int | n | ) | const`[pure virtual]`

Return a mesh factory wrapper by index.

virtual int iMeshFactoryList::GetCount | ( |  | ) | const`[pure virtual]`

Return the number of mesh factory wrappers in this list.

virtual bool iMeshFactoryList::Remove | ( | int | n | ) | `[pure virtual]`

Remove the nth mesh factory wrapper.

virtual bool iMeshFactoryList::Remove | ( | iMeshFactoryWrapper * | obj | ) | `[pure virtual]`

Remove a mesh factory wrapper.

virtual void iMeshFactoryList::RemoveAll | ( |  | ) | `[pure virtual]`

Remove all mesh factory wrappers.

The documentation for this struct was generated from the following file:

- iengine/mesh.h